Create a tag
curl --request POST \
--url https://nemonist.com/api/v1/folders/{id}/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"commit": "<string>",
"message": "<string>"
}
'import requests
url = "https://nemonist.com/api/v1/folders/{id}/tags"
payload = {
"name": "<string>",
"commit": "<string>",
"message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', commit: '<string>', message: '<string>'})
};
fetch('https://nemonist.com/api/v1/folders/{id}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"commit": "<string>",
"kept": true,
"message": "<string>",
"by": "<string>",
"created": "<string>",
"commitAt": "<string>",
"commitMessage": "<string>",
"html_url": "<string>",
"tree_url": "<string>",
"zipball_url": "<string>"
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}Folders
Create a tag
Names a commit (git tag <name> <commit>). commit may be another tag, which is peeled to its commit. A name already used is refused (as git tag without -f); delete the old tag first. A folder keeps at most 200 tags.
POST
/
folders
/
{id}
/
tags
Create a tag
curl --request POST \
--url https://nemonist.com/api/v1/folders/{id}/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"commit": "<string>",
"message": "<string>"
}
'import requests
url = "https://nemonist.com/api/v1/folders/{id}/tags"
payload = {
"name": "<string>",
"commit": "<string>",
"message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', commit: '<string>', message: '<string>'})
};
fetch('https://nemonist.com/api/v1/folders/{id}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"commit": "<string>",
"kept": true,
"message": "<string>",
"by": "<string>",
"created": "<string>",
"commitAt": "<string>",
"commitMessage": "<string>",
"html_url": "<string>",
"tree_url": "<string>",
"zipball_url": "<string>"
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"code": 123,
"type": "<string>"
}
}Authorizations
Body
application/json
The tag to make.
Response
The new tag.
A tag: a name for one commit (git tag, GitHub's /tags).